#include "Interface.h"

JNIEXPORT jint JNICALL Java_Interface_add_1array_1array
  (JNIEnv *env, jclass type, jintArray array)
{
  int *arrayData;
  int length;
  int result=0;
  int i;
  
  arrayData=(*env)->GetIntArrayElements(env,array,0);
  length=(*env)->GetArrayLength(env,array);
  
  for(i=0;i<length;i++) {
    result=result+arrayData[i];
  }
  
  (*env)->ReleaseIntArrayElements(env,array,arrayData,0);
  
  return result;
}

JNIEXPORT jint JNICALL Java_Interface_add_1array_1IntBuffer
  (JNIEnv *env, jclass type, jobject array)
{
  int *arrayData;
  int length;
  int result=0;
  int i;
  
  arrayData=(*env)->GetDirectBufferAddress(env,array);
  length=(*env)->GetDirectBufferCapacity(env,array);
  
  for(i=0;i<length;i++) {
    result=result+arrayData[i];
  }
  return result;
}
